VisualSVN Server 4.3 brings an upgrade to the latest Apache Subversion 1.14 LTS (Long-Term Support) release. For the complete list of changes, see the VisualSVN Server 4.3.0 changelog.

Upgrade to VisualSVN Server 4.3 is recommended for all users. Upgrade is easy and straightforward, but we strongly advise reading the KB167: Upgrading to VisualSVN Server 4.3 article beforehand.

Upgrade to Apache Subversion 1.14

Apache Subversion 1.14 is the latest LTS (Long-Term Support) release that includes several improvements and bug fixes. For the complete list of changes, please refer to the Apache Subversion 1.14 Release Notes.

Subversion LTS releases are made available every 2 years and get a 4-year support period. See the details on the Apache Subversion Roadmap page.

Upgrade and compatibility concerns

Upgrade to VisualSVN Server 4.3 is recommended for all users. Please read the KB167: Upgrading to VisualSVN Server 4.3 article before upgrading. The upgrade is free for all customers who have an active maintenance subscription for Enterprise or Essential licenses. The upgrade is also free for all customers who use VisualSVN Server under the Community license.

VisualSVN Server 4.3 is built with Apache Subversion 1.14 and is backward compatible with older Subversion clients. Please see below for compatibility details on each of the client versions.

VisualSVN Server 4.3 client compatibility matrix
Client version Compatibility Notes
Subversion 1.14 Full Subversion 1.14 clients are up-to-date and have no compatibility issues.
Subversion 1.13 Full Subversion 1.13 clients have no compatibility issues.
Subversion 1.12 Full Subversion 1.12 clients have no compatibility issues.
Subversion 1.11 Full Subversion 1.11 clients have no compatibility issues.
Subversion 1.10 Full Subversion 1.10 clients have no compatibility issues.
Subversion 1.9 Full (with caveats)
Subversion 1.9 clients do not support the following capabilities:
Subversion 1.8 Full (with caveats)
Subversion 1.8 clients do not support the following capabilities:
Subversion 1.7 Full (with caveats)
Subversion 1.7 clients do not support the following capabilities:
Subversion 1.6 Full (with caveats)
Subversion 1.6 clients do not support the following capabilities:
Subversion 1.5 Full (with caveats)
Subversion 1.5 clients do not support the following capabilities:
Subversion 1.4 Limited
Subversion 1.4 clients do not support the following capabilities:
Subversion 1.3 Limited
Subversion 1.3 clients do not support the following capabilities:
Subversion 1.2 Limited
Subversion 1.2 clients do not support the following capabilities:
Subversion 1.1 Limited
Subversion 1.1 clients do not support the following capabilities:
Subversion 1.0 Limited
Subversion 1.0 clients do not support the following capabilities: